
import Foundation

class StationPinger: NSObject,URLSessionDataDelegate, URLSessionTaskDelegate {
    
    var httpResponse: HTTPURLResponse?
 
    var dataTask:URLSessionDataTask?
    var urlResponse:URLResponse?
    var receivedData:NSMutableData?
    var request:URLRequest?
 
    override init() {
     super.init()
    }
 
    func startLoading()  {
        
        var newRequest = self.request
        newRequest?.httpMethod = "HEAD"

        let defaultSession = URLSession(configuration: URLSessionConfiguration.default, delegate: self, delegateQueue: nil)
        
        self.dataTask = defaultSession.dataTask(with: newRequest!)
        self.dataTask!.resume()
    }
    
    func stopLoading() {
        self.dataTask?.cancel()
        self.dataTask  = nil
        self.receivedData = nil
        self.urlResponse = nil
    }
    
    // MARK: URLSessionDataDelegate
    func urlSession(_ session: URLSession, dataTask: URLSessionDataTask, didReceive response: URLResponse, completionHandler: @escaping (URLSession.ResponseDisposition) -> Void) {

        completionHandler(.allow)
        
    }
    
    func urlSession(_ session: URLSession, dataTask: URLSessionDataTask, didReceive data: Data) {

    }
    
    // MARK: URLSessionTaskDelegate
    func urlSession(_ session: URLSession, task: URLSessionTask, didCompleteWithError error: Error?) {
        
        if error != nil && (error! as NSError).code != NSURLErrorCancelled {
            stopLoading()
            semaphore.signal()
            
        }
        else {
          semaphore.signal()
        }
    }
  
}
