import AppKit

class ArtViewController : NSViewController, NSSplitViewDelegate, HoverViewDelegate {
    
    @IBOutlet var filebrowserView  : NSView!
    @IBOutlet var infoView      : NSView!
    @IBOutlet var artView       : NSView!
    @IBOutlet var hoverView     : HoverView?
    
    @IBOutlet var coverArt  : NSImageView!
    @IBOutlet var titleFld  : NSTextField!
    @IBOutlet var artistFld : NSTextField!
    @IBOutlet var albumFld  : NSTextField!
    @IBOutlet var infoBG    : NSTextField!
    @IBOutlet var indicator : NSButton?
    
    override func awakeFromNib() {
        super.awakeFromNib()
        titleFld.textColor      = MeterBarColor
        artistFld.textColor     = MeterBarColor
        albumFld.textColor      = MeterBarColor
        infoBG.backgroundColor  = MidGrayColor
        hoverView?.delegate = self
        mouseInside(false) // hoverView init
    }
    //
    // delegate functions
    //
    func mouseInside(_ state: Bool) {
        let hidden = !state
        indicator?.animator().isHidden = hidden
    }
    
    func splitView(_ splitView: NSSplitView, shouldAdjustSizeOfSubview subView: NSView) -> Bool {
        return subView == filebrowserView
    }
    
    func splitView(_ splitView: NSSplitView, constrainMinCoordinate proposedMinimumPosition: CGFloat, ofSubviewAt dividerIndex: Int) -> CGFloat {
        //
        // proposedMinimumPosition is the Min position that is possible with the current layout dimensions
        //
        var constrainedCoordinate: CGFloat = proposedMinimumPosition
        let propHeight = splitView.frame.size.height - artView.frame.size.height - infoView.frame.size.height
        constrainedCoordinate = propHeight >  0 ? propHeight :  0
        return constrainedCoordinate
    }
    
    func splitView(_ splitView: NSSplitView, constrainMaxCoordinate proposedMaximumPosition: CGFloat, ofSubviewAt dividerIndex: Int) -> CGFloat {
        //
        // proposedMinimumPosition is the Max position that is possible with the current layout dimensions
        //
        var constrainedCoordinate: CGFloat = proposedMaximumPosition
        constrainedCoordinate -= infoView.frame.size.height
        return constrainedCoordinate
    }
    
    func splitView(_ splitView: NSSplitView, constrainSplitPosition proposedPosition: CGFloat, ofSubviewAt dividerIndex: Int) -> CGFloat {
        return proposedPosition
    }
    
    func splitViewDidResizeSubviews(_ notification: Notification) {
    }
    
    func splitView(_ splitView: NSSplitView, resizeSubviewsWithOldSize oldSize: NSSize) {
        splitView.adjustSubviews()
    }
}
