import AppKit

class FontSizetoLineHeightTransformer: ValueTransformer {
    override class func transformedValueClass() -> AnyClass {
        return NSNumber.self
    }

    override class func allowsReverseTransformation() -> Bool {
        return false
    }

    // Convert from font size to height in playlist view
    override func transformedValue(_ value: Any?) -> Any? {
        guard let type = value as? NSNumber else {
            return nil
        }
        var font: NSFont?
        font = NSFont.systemFont(ofSize: CGFloat(type.floatValue))
        let layoutManager = NSLayoutManager()
        let fRowSize = Float(layoutManager.defaultLineHeight(for: font!))
        return (fRowSize as NSNumber).floatValue
    }
}
