import AppKit

class MissingAlbumArtTransformer: ValueTransformer {
    override class func transformedValueClass() -> AnyClass {
        return NSImage.self
    }

    override class func allowsReverseTransformation() -> Bool {
        return false
    }

    // Convert from NSImage to NSImage
    override func transformedValue(_ value: Any?) -> Any? {
        if value is NSImage {
            return value as? NSImage ?? NSImage()
        } else {
            return NSImage(named: NSImage.Name("MissingArt")) ?? NSImage()
        }
    }
}
