import AppKit

class StatusImageTransformer: ValueTransformer {
    override class func transformedValueClass() -> AnyClass {
        return NSImage.self
    }

    override class func allowsReverseTransformation() -> Bool {
        return false
    }

    override func transformedValue(_ value: Any?) -> Any? {
        guard value != nil else {
            return nil
        }
        
        if (value as! String) == "playing" {
            return NSImage(named: NSImage.Name("Status_Play"))
        } else if (value as! String) == "error" {
            return NSImage(named: NSImage.Name("Status_NotFound"))
        } else if (value as! String) == "stopAfter" {
            return NSImage(named: NSImage.Name("Status_StopAfter"))
        }

        return NSImage()
    }
}
