import AppKit

class AboutPanelController: NSController {

    @IBOutlet var aboutPanel        : NSPanel?
    @IBOutlet var aboutView         : AboutTextView?
    @IBOutlet var createdByFld      : NSTextField?
    @IBOutlet var contributionFld   : NSTextField?
    @IBOutlet var thirdPartyFld     : NSTextField?
    @IBOutlet var aboutBuildNrFld   : NSTextField?
    
    override func awakeFromNib() {
        super.awakeFromNib()
        setTextFields()
    }
    
    private func setTextFields() {
        thirdPartyFld?.textColor        = MeterBarColor
        thirdPartyFld?.stringValue      = thirdPartyTributeTxt
        aboutBuildNrFld?.stringValue    = buildNrTxt
        createdByFld?.stringValue       = createdByTxt
        contributionFld?.stringValue    = contributionTxt
    }
    
    private var buildNrTxt : String {
        let appVersion = Bundle.main.infoDictionary!["CFBundleShortVersionString"] as! String
        let buildVersion = Bundle.main.infoDictionary!["CFBundleVersion"] as! String
        let versionText = String(format: "v%@ - build %@", appVersion, buildVersion)        
        return versionText
    }
    
    private var createdByTxt : String {
        return "Development: Viktor and Sander"
    }
    
    private var contributionTxt: String {
        return "Special thanks to: Martin, Juno, GoFix, Bob and Marsel"
    }
    
    private var thirdPartyTributeTxt : String {
        return """
        
        3rd Party Components:
        
        SFBAudioEngine - Copyright © 2006 Stephen F. Booth
        StreamingKit - Copyright © 2015 Thong Nguyen
        K-Meter - Copyright © 2010 Martin Zuther
        LYTabView - Copyright © 2016 Lu Yibin
        TPCircularBuffer - Copyright © 2012 A Tasty Pixel
        SwiftyXMLParser - Copyright © 2016 Yahoo Japan Corporation
        Preferences - Copyright © Sindre Sorhus
        OGSwitch - Copyright © 2016 Oskar Groth
        """
    }
}
