import AppKit

protocol HoverViewDelegate {
    func mouseInside(_ state: Bool)
}

class HoverView : NSView {
    
    var delegate : HoverViewDelegate?
    private var trackingArea: NSTrackingArea?
    
    override func awakeFromNib() {
        super.awakeFromNib()
        if let trackingArea = self.trackingArea {
            self.removeTrackingArea(trackingArea)
        }
        let options: NSTrackingArea.Options = [.mouseEnteredAndExited, .activeAlways]
        self.trackingArea = NSTrackingArea(rect: self.bounds, options: options, owner: self, userInfo: nil)
        self.addTrackingArea(self.trackingArea!)
    }
    
    override func mouseEntered(with event: NSEvent) {
        delegate?.mouseInside(true)
    }
    
    override func mouseExited(with event: NSEvent) {
        delegate?.mouseInside(false)
    }
    
}
