//
//  LYTabCloseButton.swift
//  LYTabView
//
//  Created by Lu Yibin on 16/4/7.
//  Copyright © 2016年 Lu Yibin. All rights reserved.
//

import Foundation
import AppKit

class LYTabCloseButton: LYHoverButton {
    private static let closeImage = NSImage(named: "Tab_close")?.scaleToSize(CGSize(width: 12, height: 12))
    var roundCornerRadius: CGFloat = 2

    func setupButton() {
        self.setButtonType(.momentaryPushIn)
        self.bezelStyle = .shadowlessSquare
        self.image = LYTabCloseButton.closeImage
        self.isBordered = false
        self.imagePosition = .imageOnly
    }

    override init(frame frameRect: NSRect) {
        super.init(frame: frameRect)
        setupButton()
    }

    required init?(coder: NSCoder) {
        super.init(coder: coder)
        setupButton()
    }

    override func draw(_ dirtyRect: NSRect) {
        super.draw(dirtyRect)
    }
}
