import Foundation
import AppKit

class MenuVolumeSlider: NSSlider {
    
    init() {
        super.init(frame: NSZeroRect)
    }
    
    override init(frame: NSRect) {
        var frame = frame
        let offset : CGFloat = 4.0
        frame.origin.x   += offset
        frame.size.width -= offset
        super.init(frame: frame)
    }
    
    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    
    override func scrollWheel(with event: NSEvent) {
        let change = Double((event.deltaY / 30.0))
        doubleValue += change        
        _ = sendAction(action, to: target)
    }
}
