import AppKit

class PlaybackButtons: NSSegmentedControl {
    @IBOutlet var playbackController: PlaybackController!
    
    override func sendAction(_ action: Selector?, to target: Any?) -> Bool {
        let clickedSegment: Int = selectedSegment
        if clickedSegment == 0 {
            playbackController.prev(self)
        } else if clickedSegment == 1 {
            playbackController.playPauseResume(self)
        } else if clickedSegment == 2 {
            playbackController.next(self)
        } else {
            return false
        }
        return true
    }
    
    func set(playStatus: Bool) {
        var image: NSImage!
        if playStatus {
            image = NSImage(named: NSImage.Name("PauseTemplate"))
        } else {
            image = NSImage(named: NSImage.Name("PlayTemplate"))
        }
        
        setImage(image, forSegment: 1)
    }
}
