
import Foundation

class SearchField: NSSearchFieldCell {
    
    override func select(withFrame rect: NSRect, in controlView: NSView, editor textObj: NSText, delegate: Any?, start selStart: Int, length selLength: Int) {
        
        var newRect = rect
        
        if !isBordered || isBezeled {
            let cancelButtonWidth = NSWidth(cancelButtonRect(forBounds: rect))
            let searchButtonWidth = NSWidth(searchButtonRect(forBounds: rect))
            
            newRect.size.width -= (cancelButtonWidth + searchButtonWidth)
            newRect.origin.x += searchButtonWidth
        }
        super.select(withFrame: newRect, in: controlView, editor: textObj, delegate: delegate, start: selStart, length: selLength)
    }
    
}
