import AppKit

final class GeneralPreferenceViewController: NSViewController, Preferenceable {
    let toolbarItemTitle = "General"
    let toolbarItemIcon = NSImage(named: NSImage.preferencesGeneralName)!

    override var nibName: NSNib.Name? {
        return "GeneralPreferences"
    }

    @IBOutlet var btnShowMenuBarButtons: OGSwitch!
    @IBOutlet var btnShowMenuBarLeveldB: OGSwitch!
    @IBOutlet var btnautoPlay: OGSwitch!
    @IBOutlet var btntimeDisplayWithHours: OGSwitch!
    @IBOutlet var btnshowAlbumSeparator: OGSwitch!
    @IBOutlet var btnFileBrowserDoubleClick: OGSwitch!
    @IBOutlet var btnEnableMediaKeys: OGSwitch!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        btnShowMenuBarButtons.setOn(isOn: UserDefaults.standard.bool(forKey:  "ShowMenuBarButtons"), animated: false)
        btnShowMenuBarLeveldB.setOn(isOn: UserDefaults.standard.bool(forKey:  "ShowMenuBarLeveldB"), animated: false)
        btnautoPlay.setOn(isOn: UserDefaults.standard.bool(forKey:  "autoplay"), animated: false)
        btntimeDisplayWithHours.setOn(isOn: UserDefaults.standard.bool(forKey:  "DisplayHours"), animated: false)
        btnshowAlbumSeparator.setOn(isOn: UserDefaults.standard.bool(forKey:  "drawAlbumSeparator"), animated: false)
        btnFileBrowserDoubleClick.setOn(isOn: UserDefaults.standard.bool(forKey:  "FileBrowserDoubleClick"), animated: false)
        btnEnableMediaKeys.setOn(isOn: UserDefaults.standard.bool(forKey:  "MediaKeys"), animated: false)
    }
        
    @IBAction func ShowMenuBarButtons(_ sender: Any) {
        UserDefaults.standard.set((sender as! OGSwitch).isOn, forKey: "ShowMenuBarButtons")
    }
    
    @IBAction func ShowMenuBarLeveldB(_ sender: Any) {
        UserDefaults.standard.set((sender as! OGSwitch).isOn, forKey: "ShowMenuBarLeveldB")
    }
    
    @IBAction func autoPlay(_ sender: Any) {
        UserDefaults.standard.set((sender as! OGSwitch).isOn, forKey: "autoplay")
    }
    
    @IBAction func timeDisplayWithHours(_ sender: Any) {
        UserDefaults.standard.set((sender as! OGSwitch).isOn, forKey: "DisplayHours")
    }
        
    @IBAction func showAlbumSeparator(_ sender: Any) {
        UserDefaults.standard.set((sender as! OGSwitch).isOn, forKey: "drawAlbumSeparator")
    }

    @IBAction func FileBrowserDoubleClick(_ sender: Any) {
        UserDefaults.standard.set((sender as! OGSwitch).isOn, forKey: "FileBrowserDoubleClick")
    }
    
    @IBAction func EnableMediaKeys(_ sender: Any) {
        UserDefaults.standard.set((sender as! OGSwitch).isOn, forKey: "MediaKeys")
    }
}
