import AppKit

final class OutputPreferenceViewController: NSViewController, Preferenceable {
    let toolbarItemTitle = "Output"
    let toolbarItemIcon  = NSImage(named: "Output")!
    
    @IBOutlet var btnGapless: OGSwitch!
    @IBOutlet var btnAUeffects: OGSwitch!
    @IBOutlet var recordFormatSelector: NSPopUpButton!
    
    
    override var nibName: NSNib.Name? {
        return "OutputPreferences"
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        recordFormatSelector.removeAllItems()
        recordFormatSelector.addItems(withTitles: recordingFileTypes())
        
        btnGapless.setOn(isOn: UserDefaults.standard.bool(forKey: "gaplessplayback"), animated: false)
        btnAUeffects.setOn(isOn: UserDefaults.standard.bool(forKey: "useAUeffects"), animated: false)
    }
    
    @IBAction func gaplessplayback(_ sender: Any) {
        UserDefaults.standard.set((sender as! OGSwitch).isOn, forKey: "gaplessplayback")
    }
    
    @IBAction func useAUeffects(_ sender: Any) {
        UserDefaults.standard.set((sender as! OGSwitch).isOn, forKey: "useAUeffects")
    }
}
